TOWLOWER(3)

NAME
towlower - convert a wide character to lowercase

SYNOPSIS
#include <wctype.h>

wint_t towlower(wint_t wc);

DESCRIPTION
The towlower() function is the wide-character equivalent of the tolower() function. If wc is a wide character, it is converted to lowercase. Characters which do not have case are returned unchanged. If wc is WEOF, WEOF is returned.

RETURN VALUE
The towlower() function returns the lowercase equivalent of wc, or WEOF if wc is WEOF.

CONFORMING TO
C99.

SEE ALSO
iswlower(3), towctrans(3), towupper(3)

NOTES
The behaviour of towlower() depends on the LC_CTYPE category of the current locale.

This function is not very appropriate for dealing with Unicode characters, because Unicode knows about three cases: upper, lower and title case.